Page MenuHomePhabricator

Eranbot down
Closed, ResolvedPublic

Description

Eranbot is down since the past 24 hours approximately at this point. There are no new records in the database (and consequently in CopyPatrol) since 17 Jan 01:40 UTC.

We first thought the probable cause for this was the Labs maintenance reboot yesterday which rebooted all tools and instances. However after @kaldari ran the plagiabotRC script, it seemed to collect data in the logs fine.

However, we still don't have any new data in the database. According to the logs it seems like the Turnitin API is returning a 500 -

Title: Aphrodite
	Prev: 821016483	New:821018206
	Upload text to server...
{'status': 500, 'uploaded': [], 'api_status': 500, 'messages': ['No more reports. Please upgrade your account'], 'response_timestamp': <DateTime '20180117T23:17:52' at 2b2fdfc7ecf8>, 'sid': 'ed98a3908f63fa45f8117c725f237c9d091d036e'}

Similar for multiple titles. @eranroz Any clue what's up with this?

Event Timeline

Restricted Application added subscribers: Cyberpower678, Aklapper. · View Herald TranscriptJan 17 2018, 11:34 PM
Niharika triaged this task as High priority.Jan 17 2018, 11:35 PM

Sounds like our submission limit at Turnitin may be exhausted. @eranroz: Do you know what our limit is?

MusikAnimal added a subscriber: MusikAnimal.EditedJan 18 2018, 10:17 PM

I logged into iThenticate using the bot's (Eran's) credentials, and sure enough I see "No submissions remaining" in bold at the top-right. There is the giant list of all the reports we made, so I tried deleting some old ones, but it still says we need to upgrade the account.

I can't find any exact numbers on what the limit is within the interface, but apparently you can get that info with the API:
https://guides.turnitin.com/iThenticate/iThenticate_API_Guide/API_Method_Reference#Account_Status

Seems like we need to buy more "credits": http://www.ithenticate.com/products

eranroz added subscribers: Doc_James, Ocaasi.EditedJan 18 2018, 10:39 PM

I logged in to iThenticate, and indeed it seems we are out of credits.

The account was loaded with 1M credits (7 January 2015) thanks to the goodwill of iThenticate and thanks to collaboration initiated by @Ocaasi and @Doc_James - maybe do you know who can we ask for additional credits?

PS : meanwhile, I'm going to turn off the bot to avoid exploding with internal errors.

Okay will get working on that

Hi iThenticate team,

It's been a long time since I spoke with you directly. With our developer
Eran, our copyright bot has been striding along.

It finally hit a milestone after checking its 1 millionth edit! That's
exciting but it also means our account is now out of credits. So we have
temporarily paused the bot.

Would you like to chat and share news and updates? Or reload the account
again to get the bot back up?

Let me know what's best on your end.

Jake Orlowitz

Apparently, IThenticate has provisionally given us some more credits, so we can restart the bot.

This might be a good time to tackle T178643 as well (although I'm not sure if that actually affects the number of searches performed).

@eranroz: After you restart the bot, could you let us know the exact steps involved? Is it just running restart_plagiabot.sh?

Thanks to Mark from turnitin for kindly providing us additional credits. The bot is up again.

@eranroz: After you restart the bot, could you let us know the exact steps involved? Is it just running restart_plagiabot.sh?

The commands for starting/restarting the bot are in crontab, e.g:

jsub -N enwiki -mem 500m -l h_rt=4:05:00 -once -quiet -o plagiabot.py -lang:en -blacklist:User:EranBot/Copyright/Blacklist -live:on -reportlogger

(were comment out to restart)

Apparently, IThenticate has provisionally given us some more credits, so we can restart the bot.
This might be a good time to tackle T178643 as well (although I'm not sure if that actually affects the number of searches performed).

The bot currently run with the following wikis: frwiki, cswiki, enwiki, eswiki.
ptwiki and hewiki are not running on regular basis, hence doesnt consume credits. Going over reviewed cases, looks like enwiki/frwiki /cswiki are actively patrolled while eswiki is monitored only by " Community Tech bot " - so we probably would like to either promote it so eswiki users will use this tool, or disable it if they find it not useful.

If someone could remove the message saying the bot is out of service, that would be great. Thanks,

If someone could remove the message saying the bot is out of service, that would be great. Thanks,

Seems gone now.

Thanks everyone. Closing this ticket now.

@eranroz Do we know how many credits we got? Trying to see how long before we run into this problem again.

Niharika closed this task as Resolved.Jan 19 2018, 10:55 PM
Niharika claimed this task.
Niharika moved this task from To be estimated/discussed to Archive on the Community-Tech board.
Niharika removed a project: Community-Tech-Sprint.